%define debug_package %{nil}

Summary:        Tool for creating the anaconda install images
Name:           lorax
Version:        38.2
Release:        10%{?dist}
License:        GPLv2+
URL:            https://github.com/weldr/lorax
# If yout want to generate Source0, you should do:
# git clone https://github.com/weldr/lorax
# git checkout -b archive-branch lorax-%%{version}-%%{release}
# tito build --tgz
Source0:        %{name}-%{version}.tar.gz

Patch5000:      0001-lorax-modify-anaconda-iso-configuration-for-openclou.patch
Patch5001:      0002-lorax-modify-live-iso-configuration-for-opencloudos-.patch
Patch5002:      0003-lorax-create-dev-urandom-before-packages-installatio.patch
Patch5003:      0001-lorax-keep-libtiff-and-avahi-libs-required-by-adwait.patch
Patch5004:      0001-lorax-set-default-item-of-grub-menu-to-the-one-witho.patch
Patch5005:	0001-lorax-38.2-add-loongarch-support.patch

BuildRequires:  python3-devel python3-setuptools make systemd-rpm-macros

Requires:       lorax-templates cpio device-mapper dosfstools e2fsprogs findutils kpartx
Requires:       gawk xorriso glib2 glibc glibc-common gzip isomd5sum module-init-tools
Requires:       parted squashfs-tools util-linux xz-lzma-compat xz pigz pbzip2 dracut psmisc
Requires:       libselinux-python3 python3-mako python3-kickstart python3-dnf python3-librepo python3-pycdio

%ifarch x86_64
Requires:       hfsplus-tools
%endif

%ifarch x86_64 ppc64le
Requires:       grub2 grub2-tools
%endif

%{?tencentos:Requires:       lorax-templates-tencentos}

# Moved image-minimizer tool to lorax
Provides:       appliance-tools-minimizer = %{version}-%{release}

%description
Lorax is a tool for creating the anaconda install images.

It also includes livemedia-creator which is used to create bootable livemedia, including live isos and disk images.
It can use libvirtd for the install, or Anaconda's image install feature.

%ifnarch ppc64le
%package lmc-virt
Summary:  livemedia-creator libvirt dependencies
Requires: lorax = %{version}-%{release}
Requires: qemu

%ifarch x86_64 aarch64
Requires: edk2-ovmf
%endif
Recommends: qemu-kvm

%description lmc-virt
Additional dependencies required by livemedia-creator when using it with qemu.
%endif

%package lmc-novirt
Summary:  livemedia-creator no-virt dependencies
Requires: lorax = %{version}-%{release}
Requires: anaconda-core anaconda-tui anaconda-install-env-deps system-logos python3-psutil

%description lmc-novirt
Additional dependencies required by livemedia-creator when using it with --no-virt to run Anaconda.

%package templates-generic
Summary:  Generic build templates for lorax and livemedia-creator
Requires: lorax = %{version}-%{release}
Provides: lorax-templates = %{version}-%{release}

%description templates-generic
Lorax templates for creating the boot.iso and live isos are placed in /usr/share/lorax/templates.d/99-generic

%prep
%autosetup -n %{name}-%{version} -p1

%build

%install
rm -rf %{buildroot}
%make_install mandir=%{_mandir}

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS
%doc docs/lorax.rst docs/livemedia-creator.rst docs/product-images.rst
%doc docs/*ks
%{_tmpfilesdir}/lorax.conf
%{python3_sitelib}/pylorax
%{python3_sitelib}/*.egg-info
%{_sbindir}/lorax
%{_sbindir}/mkefiboot
%{_sbindir}/livemedia-creator
%{_bindir}/mkksiso
%{_bindir}/image-minimizer
%dir %{_sysconfdir}/lorax
%config(noreplace) %{_sysconfdir}/lorax/lorax.conf
%dir %{_datadir}/lorax
%{_mandir}/man1/lorax.1*
%{_mandir}/man1/livemedia-creator.1*
%{_mandir}/man1/mkksiso.1*
%{_mandir}/man1/image-minimizer.1*

%ifnarch ppc64le
%files lmc-virt
%endif

%files lmc-novirt

%files templates-generic
%dir %{_datadir}/lorax/templates.d
%{_datadir}/lorax/templates.d/*

%changelog
* Mon Mar 18 2024 Huang Yang <huangyang@loongson.cn> - 38.2-10
- add loongarch support

* Wed Jan 17 2024 Doris Chao <doriscchao@tencent.com> - 38.2-9
- Add requires of lorax-templates-tencentos for tencentos 

* Thu Oct 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 38.2-8
- Set default item of grub menu to the one without test

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38.2-7
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 31 2023 Xiaojie Chen <jackxjchen@tencent.com> - 38.2-5
- Modify anaconda iso configuration for opencloudos-stream
- Modify live iso configuration for opencloudos-stream
- Create /dev/urandom before packages installation

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Shuo Wang <abushwang@tencent.com> - 38.2-2
- enable qemu

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 38.2-1
- initial build

